Package com.creditcall.chipdnamobile

# Class CardTypeID

java.lang.Object
com.creditcall.chipdnamobile.CardTypeID

public class CardTypeID extends Object
The possible values returned for CardTypeID.

Author:
  Creditcall Ltd

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final CardTypeID`
  `BusinessCredit`
  (150) Business Credit
  `static final CardTypeID`
  `BusinessDebit`
  (151) Business Debit
  `static final CardTypeID`
  `Commercial`
  (130) Commercial
  `static final CardTypeID`
  `Consumer`
  (140) Consumer
  `static final CardTypeID`
  `Corporate`
  (110) Corporate
  `static final CardTypeID`
  `CorporatePurchasing`
  (111) Corporate Purchasing
  `static final CardTypeID`
  `Credit`
  (1) Credit
  `static final CardTypeID`
  `CreditRestricted`
  (2) Credit (Restricted)
  `static final CardTypeID`
  `Debit`
  (10) Debit
  `static final CardTypeID`
  `DebitRestricted`
  (11) Debit (Restricted)
  `static final CardTypeID`
  `Electronic`
  (200) Electronic
  `static final CardTypeID`
  `ElectronicBusinessCard`
  (201) Electronic Business Card
  `static final CardTypeID`
  `Fleet`
  (120) Fleet
  `static final CardTypeID`
  `Purchasing`
  (100) Purchasing
  `static final CardTypeID`
  `StoredValue`
  (300) Stored Value
  `static final CardTypeID`
  `Unknown`
  (0) Unknown

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getCardTypeID()`
  Gets the numeric ID for the card type.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### Unknown

    public static final CardTypeID Unknown
    (0) Unknown

  - ### Credit

    public static final CardTypeID Credit
    (1) Credit

  - ### CreditRestricted

    public static final CardTypeID CreditRestricted
    (2) Credit (Restricted)

  - ### Debit

    public static final CardTypeID Debit
    (10) Debit

  - ### DebitRestricted

    public static final CardTypeID DebitRestricted
    (11) Debit (Restricted)

  - ### Purchasing

    public static final CardTypeID Purchasing
    (100) Purchasing

  - ### Corporate

    public static final CardTypeID Corporate
    (110) Corporate

  - ### CorporatePurchasing

    public static final CardTypeID CorporatePurchasing
    (111) Corporate Purchasing

  - ### Fleet

    public static final CardTypeID Fleet
    (120) Fleet

  - ### Commercial

    public static final CardTypeID Commercial
    (130) Commercial

  - ### Consumer

    public static final CardTypeID Consumer
    (140) Consumer

  - ### BusinessCredit

    public static final CardTypeID BusinessCredit
    (150) Business Credit

  - ### BusinessDebit

    public static final CardTypeID BusinessDebit
    (151) Business Debit

  - ### Electronic

    public static final CardTypeID Electronic
    (200) Electronic

  - ### ElectronicBusinessCard

    public static final CardTypeID ElectronicBusinessCard
    (201) Electronic Business Card

  - ### StoredValue

    public static final CardTypeID StoredValue
    (300) Stored Value

- ## Method Details

  - ### getCardTypeID

    public int getCardTypeID()
    Gets the numeric ID for the card type.
    Returns:
      numeric ID for the card type